# Report accounting export results Report export success or failure for accounting records. Endpoint: POST /v3/accounting/records/export-results Version: 1.0.0-alpha Security: oauth2 ## Request fields (application/json): - `results` (array, required) Array of export results (must contain at least one result) ## Response 200 fields (application/json): - `updated_accounting_record_ids` (array, required) Accounting record ids that were updated by the request Example: ["accr_abc123","accr_def456"] ## Response 404 fields (application/json): - `error_code` (string, required) Machine-readable error code Enum: "ACTIVE_INTEGRATION_EXISTS", "FORBIDDEN", "INTEGRATION_NOT_ACTIVE", "INTERNAL_ERROR", "INVALID_REQUEST", "NOT_FOUND", "UNAUTHORIZED", "DUPLICATE_ACCOUNTING_RECORD_IDS", "ACCOUNTING_RECORD_NOT_READY_FOR_EXPORT", "VENDOR_ACCOUNT_ID_MISMATCH" - `message` (string, required) Human-readable error message Example: "The request is malformed or contains invalid data." - `details` (object,null) Additional error context - `details.existing_integration_id` (string) ID of the existing active integration Example: "int_abc123" - `details.existing_vendor` (string) Vendor of the existing integration Example: "ERP_A" - `details.requested_vendor` (string) Vendor that was requested to be created Example: "ERP_B" - `details.integration_id` (string) Integration ID associated with the error Example: "int_abc123" - `details.current_status` (string) Current status of the integration when the error occurred Example: "DISABLED" - `details.duplicate_accounting_record_ids` (array) Accounting record IDs that triggered the error Example: ["accr_abc123","accr_def456"] - `details.not_ready_for_export_accounting_record_ids` (array) Accounting record IDs that are not ready for export Example: ["accr_ghi789"] - `details.not_found_export_entry_source_ids` (array) Accounting record IDs that could not be found Example: ["accr_ghi789"] ## Response 422 fields (application/json): - `error_code` (string, required) Machine-readable error code Enum: "ACTIVE_INTEGRATION_EXISTS", "FORBIDDEN", "INTEGRATION_NOT_ACTIVE", "INTERNAL_ERROR", "INVALID_REQUEST", "NOT_FOUND", "UNAUTHORIZED", "DUPLICATE_ACCOUNTING_RECORD_IDS", "ACCOUNTING_RECORD_NOT_READY_FOR_EXPORT", "VENDOR_ACCOUNT_ID_MISMATCH" - `message` (string, required) Human-readable error message Example: "The request is malformed or contains invalid data." - `details` (object,null) Additional error context - `details.existing_integration_id` (string) ID of the existing active integration Example: "int_abc123" - `details.existing_vendor` (string) Vendor of the existing integration Example: "ERP_A" - `details.requested_vendor` (string) Vendor that was requested to be created Example: "ERP_B" - `details.integration_id` (string) Integration ID associated with the error Example: "int_abc123" - `details.current_status` (string) Current status of the integration when the error occurred Example: "DISABLED" - `details.duplicate_accounting_record_ids` (array) Accounting record IDs that triggered the error Example: ["accr_abc123","accr_def456"] - `details.not_ready_for_export_accounting_record_ids` (array) Accounting record IDs that are not ready for export Example: ["accr_ghi789"] - `details.not_found_export_entry_source_ids` (array) Accounting record IDs that could not be found Example: ["accr_ghi789"] ## Response 500 fields (application/json): - `error_code` (string, required) Machine-readable error code Enum: "ACTIVE_INTEGRATION_EXISTS", "FORBIDDEN", "INTEGRATION_NOT_ACTIVE", "INTERNAL_ERROR", "INVALID_REQUEST", "NOT_FOUND", "UNAUTHORIZED", "DUPLICATE_ACCOUNTING_RECORD_IDS", "ACCOUNTING_RECORD_NOT_READY_FOR_EXPORT", "VENDOR_ACCOUNT_ID_MISMATCH" - `message` (string, required) Human-readable error message Example: "The request is malformed or contains invalid data." - `details` (object,null) Additional error context - `details.existing_integration_id` (string) ID of the existing active integration Example: "int_abc123" - `details.existing_vendor` (string) Vendor of the existing integration Example: "ERP_A" - `details.requested_vendor` (string) Vendor that was requested to be created Example: "ERP_B" - `details.integration_id` (string) Integration ID associated with the error Example: "int_abc123" - `details.current_status` (string) Current status of the integration when the error occurred Example: "DISABLED" - `details.duplicate_accounting_record_ids` (array) Accounting record IDs that triggered the error Example: ["accr_abc123","accr_def456"] - `details.not_ready_for_export_accounting_record_ids` (array) Accounting record IDs that are not ready for export Example: ["accr_ghi789"] - `details.not_found_export_entry_source_ids` (array) Accounting record IDs that could not be found Example: ["accr_ghi789"]